OS_REPLICATION_GET-REPLICATION-POLICY(1)

NAME
os_replication_get-replication-policy -

•   Description

•   Usage

•   Required Parameters

•   Optional Parameters

•   Global Parameters

•   Example using required parameter

•   Other Examples

DESCRIPTION

Get the replication policy.

USAGE

oci os replication get-replication-policy [OPTIONS]

REQUIRED PARAMETERS

--bucket-name, --bucket, -bn [text]

    The name of the bucket. Avoid entering confidential information. Example: my-new-bucket1

--replication-id [text]

    The ID of the replication policy.

OPTIONAL PARAMETERS

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id –> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our “using CLI with advanced JSON options” link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--namespace-name, --namespace, -ns [text]

    The Object Storage namespace used for the request. If not provided, this parameter will be obtained internally using a call to ‘oci os ns get’

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth-purpose, --auth, --cert-bundle, --cli-auto-prompt, --cli-rc-file, --config-file, --connection-timeout, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --latest-version, --max-retries, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --proxy, --query, --raw-output, --read-timeout, --realm-specific-endpoint, --region, --release-info, --request-id, --version, -?, -d, -h, -i, -v

EXAMPLE USING REQUIRED PARAMETER

Copy the following CLI commands into a file named example.sh. Run the command by typing “bash example.sh” and replacing the example parameters with your own.

Please note this sample will only work in the POSIX-compliant bash-like shell. You need to set up the OCI configuration <https://docs.oracle.com/en-us/iaas/Content/API/SDKDocs/cliinstall.htm#configfile> and appropriate security policies <https://docs.oracle.com/en-us/iaas/Content/Identity/Concepts/policygetstarted.htm> before trying the examples.

    export bucket_name=<substitute-value-of-bucket_name> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/os/replication/get-replication-policy.html#cmdoption-bucket-name
    export replication_id=<substitute-value-of-replication_id> # https://docs.cloud.oracle.com/en-us/iaas/tools/oci-cli/latest/oci_cli_docs/cmdref/os/replication/get-replication-policy.html#cmdoption-replication-id
    oci os replication get-replication-policy --bucket-name $bucket_name --replication-id $replication_id

OTHER EXAMPLES

  Description

Get the replication policy for specified bucket.

  Command

 oci os replication get-replication-policy -bn bucket-client --replication-id d9337b34-855a-419f-8ceb-e0d9e0347e4a

  Output

{
 "data": {
      "destination-bucket-name": "cli-test",
      "destination-region-name": "us-phoenix-1",
      "id": "d9337b34-855a-419f-8ceb-e0d9e0347e4a",
      "name": "replication-policy",
      "status": "ACTIVE",
      "status-message": "The policy is active.",
      "time-created": "2022-12-22T08:30:22+00:00",
      "time-last-sync": null
 }
}

  Description

Get the replication policy for specified bucket in specified namespace.

  Command

 oci os replication get-replication-policy -bn bucket-client --replication-id d9337b34-855a-419f-8ceb-e0d9e0347e4a -ns bmcostests

  Output

{
 "data": {
      "destination-bucket-name": "cli-test",
      "destination-region-name": "us-phoenix-1",
      "id": "d9337b34-855a-419f-8ceb-e0d9e0347e4a",
      "name": "replication-policy",
      "status": "ACTIVE",
      "status-message": "The policy is active.",
      "time-created": "2022-12-22T08:30:22+00:00",
      "time-last-sync": null
 }
}

AUTHOR
Oracle

COPYRIGHT
2016, 2024, Oracle